VisualEditor: 0,0 initial selection in Firefox when opening a new or pre-existing references means inserting template causes fatal JS error
Closed, ResolvedPublic

Description

Steps to Reproduce:

  1. Open any page in VisualEditor.
  1. Go to Insert > Reference to add a reference. Do NOT click inside the reference box.
  1. Go to Insert > Template to add a template.

Actual Results:
You can't add a template, you can't exit the dialog, you can't do anything except close the browser tab and lose all of your work.

Reproducible: Always

This cannot be reproduced in Safari. This cannot be reproduced if you first click inside the reference box.


Version: unspecified
Severity: major

Whatamidoing-WMF created this task.Via LegacyApr 25 2014, 4:24 PM
Jdforrester-WMF added a comment.Via ConduitApr 30 2014, 8:29 PM

Fixed in the Firefox-selection change Ed wrote.

Ryasmeen added a comment.Via ConduitApr 30 2014, 10:20 PM

Verified the fix in Betalabs

Jdforrester-WMF added a comment.Via ConduitMay 2 2014, 9:25 PM
  • Bug 64601 has been marked as a duplicate of this bug. ***
Rillke added a comment.Via ConduitMay 2 2014, 9:28 PM

Where is the gerrit change?

Catrope added a comment.Via ConduitMay 2 2014, 9:43 PM

(In reply to Rainer Rillke @commons.wikimedia from comment #4)

Where is the gerrit change?

https://gerrit.wikimedia.org/r/#/c/129806/ makes sure the tools correctly initialize as disabled if the initial selection is null

https://gerrit.wikimedia.org/r/#/c/130262/ makes sure the selection isn't 0,0 the second time you open the reference dialog

Ryasmeen added a comment.Via ConduitMay 6 2014, 7:50 PM

Verified the fix on test2

Ryasmeen added a comment.Via ConduitMay 13 2014, 8:15 PM

Verified the fix in production

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.